| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiAlg::GaudiAlgConf::GaudiSequencer Class Reference

List of all members.

## Detailed Description

Definition at line 385 of file GaudiAlgConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiAlg::GaudiAlgConf::GaudiSequencer::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 435 of file GaudiAlgConf.py.

    00435                                                                :
    00436       super(GaudiSequencer, self).__init__(name)
    00437       for n,v in kwargs.items():
    00438          setattr(self, n, v)
      def getDlls( self ):

def GaudiAlg::GaudiAlgConf::GaudiSequencer::getDlls | ( |  | self | ) |

Definition at line 439 of file GaudiAlgConf.py.

    00439                      :
    00440       return 'GaudiAlg'
      def getType( self ):

def GaudiAlg::GaudiAlgConf::GaudiSequencer::getType | ( |  | self | ) |

Definition at line 441 of file GaudiAlgConf.py.

    00441                      :
    00442       return 'GaudiSequencer'
      pass # class GaudiSequencer

## Member Data Documentation

dictionary GaudiAlg::GaudiAlgConf::GaudiSequencer::__slots__`[static, private]`

Definition at line 386 of file GaudiAlgConf.py.

dictionary GaudiAlg::GaudiAlgConf::GaudiSequencer::_propertyDocDct`[static, private]`

Initial value:

    {
        'RequireObjects' : """ Execute only if one or more of these TES objects exists """,
        'StatTableHeader' : """ The header row for the output Stat-table """,
        'VetoObjects' : """ Skip execute if one or more of these TES objects exists """,
        'EfficiencyRowFormat' : """ The format for the regular row in the outptu Stat-table """,
        'RegularRowFormat' : """ The format for the regular row in the output Stat-table """,
        'RegisterForContextService' : """ The flag to enforce the registration for Algorithm Context Service """,
        'UseEfficiencyRowFormat' : """ Use the special format for printout of efficiency counters """,
        'ContextService' : """ The name of Algorithm Context Service """,
      }

Definition at line 425 of file GaudiAlgConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiAlg/genConf/GaudiAlg/GaudiAlgConf.py